## org.eclipse.emf.ecore.impl
Class ENotificationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.NotificationImpl
          org.eclipse.emf.ecore.impl.ENotificationImpl

All Implemented Interfaces:
  Notification, NotificationChain

Direct Known Subclasses:
  FeatureMapUtil.FeatureENotificationImpl

    public class ENotificationImpl

extends NotificationImpl

An implementation an Ecore-specific notification.

Field Summary
`protected EStructuralFeature` `feature`
`protected int` `featureID`
`protected InternalEObject` `notifier`

Fields inherited from class org.eclipse.emf.common.notify.impl.NotificationImpl
`eventType, IS_SET_CHANGE_INDEX, newIEEEPrimitiveValue, newSimplePrimitiveValue, newValue, next, oldIEEEPrimitiveValue, oldSimplePrimitiveValue, oldValue, position, PRIMITIVE_TYPE_BOOLEAN, PRIMITIVE_TYPE_BYTE, PRIMITIVE_TYPE_CHAR, PRIMITIVE_TYPE_DOUBLE, PRIMITIVE_TYPE_FLOAT, PRIMITIVE_TYPE_INT, PRIMITIVE_TYPE_LONG, PRIMITIVE_TYPE_OBJECT, PRIMITIVE_TYPE_SHORT, primitiveType`

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Constructor Summary
`ENotificationImpl(InternalEObject notifier, int eventType, EStructuralFeature feature, java.lang.Object oldValue, java.lang.Object newValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, EStructuralFeature feature, java.lang.Object oldValue, java.lang.Object newValue, boolean isSetChange)`
`ENotificationImpl(InternalEObject notifier, int eventType, EStructuralFeature feature, java.lang.Object oldValue, java.lang.Object newValue, int position)`
`ENotificationImpl(InternalEObject notifier, int eventType, EStructuralFeature feature, java.lang.Object oldValue, java.lang.Object newValue, int position, boolean wasSet)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, boolean oldBooleanValue, boolean newBooleanValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, boolean oldBooleanValue, boolean newBooleanValue, boolean isSetChange)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, byte oldByteValue, byte newByteValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, byte oldByteValue, byte newByteValue, boolean isSetChange)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, char oldCharValue, char newCharValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, char oldCharValue, char newCharValue, boolean isSetChange)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, double oldDoubleValue, double newDoubleValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, double oldDoubleValue, double newDoubleValue, boolean isSetChange)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, float oldFloatValue, float newFloatValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, float oldFloatValue, float newFloatValue, boolean isSetChange)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, int oldIntValue, int newIntValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, int oldIntValue, int newIntValue, boolean isSetChange)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, long oldLongValue, long newLongValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, long oldLongValue, long newLongValue, boolean isSetChange)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, java.lang.Object oldValue, java.lang.Object newValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, java.lang.Object oldValue, java.lang.Object newValue, boolean isSetChange)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, java.lang.Object oldValue, java.lang.Object newValue, int position)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, java.lang.Object oldValue, java.lang.Object newValue, int position, boolean wasSet)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, short oldShortValue, short newShortValue)`
`ENotificationImpl(InternalEObject notifier, int eventType, int featureID, short oldShortValue, short newShortValue, boolean isSetChange)`

Method Summary
`java.lang.Object` `getFeature()` Returns the object representing the feature of the notifier that has changed.
`protected java.lang.Object` `getFeatureDefaultValue()`
`int` `getFeatureID(java.lang.Class<?> expectedClass)` Returns the numeric ID of the feature relative to the given class, or `Notification.NO_FEATURE_ID` when not applicable.
`java.lang.Object` `getNotifier()` Returns the object affected by the change.
`protected boolean` `isFeatureUnsettable()`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotificationImpl

`add, dispatch, getEventType, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isReset, isTouch, merge, toString, wasSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### notifier

    protected InternalEObject notifier

### featureID

    protected int featureID

### feature

    protected EStructuralFeature feature

Constructor Detail

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             EStructuralFeature feature,
                             java.lang.Object oldValue,
                             java.lang.Object newValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             EStructuralFeature feature,
                             java.lang.Object oldValue,
                             java.lang.Object newValue)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             EStructuralFeature feature,
                             java.lang.Object oldValue,
                             java.lang.Object newValue,
                             int position)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             EStructuralFeature feature,
                             java.lang.Object oldValue,
                             java.lang.Object newValue,
                             int position,
                             boolean wasSet)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             java.lang.Object oldValue,
                             java.lang.Object newValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             java.lang.Object oldValue,
                             java.lang.Object newValue,
                             int position,
                             boolean wasSet)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             java.lang.Object oldValue,
                             java.lang.Object newValue)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             java.lang.Object oldValue,
                             java.lang.Object newValue,
                             int position)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             boolean oldBooleanValue,
                             boolean newBooleanValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             boolean oldBooleanValue,
                             boolean newBooleanValue)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             byte oldByteValue,
                             byte newByteValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             byte oldByteValue,
                             byte newByteValue)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             char oldCharValue,
                             char newCharValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             char oldCharValue,
                             char newCharValue)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             double oldDoubleValue,
                             double newDoubleValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             double oldDoubleValue,
                             double newDoubleValue)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             float oldFloatValue,
                             float newFloatValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             float oldFloatValue,
                             float newFloatValue)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             int oldIntValue,
                             int newIntValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             int oldIntValue,
                             int newIntValue)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             long oldLongValue,
                             long newLongValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             long oldLongValue,
                             long newLongValue)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             short oldShortValue,
                             short newShortValue,
                             boolean isSetChange)

### ENotificationImpl

    public ENotificationImpl(InternalEObject notifier,
                             int eventType,
                             int featureID,
                             short oldShortValue,
                             short newShortValue)

Method Detail

### getNotifier

    public java.lang.Object getNotifier()

  Description copied from interface: `Notification`
  Returns the object affected by the change.

  Specified by:
    `getNotifier` in interface `Notification`
  Overrides:
    `getNotifier` in class `NotificationImpl`
  Returns:
    the object affected by the change.

### getFeature

    public java.lang.Object getFeature()

  Description copied from interface: `Notification`
  Returns the object representing the feature of the notifier that has changed.

  Specified by:
    `getFeature` in interface `Notification`
  Overrides:
    `getFeature` in class `NotificationImpl`
  Returns:
    the feature that has changed.

### getFeatureID

    public int getFeatureID(java.lang.Class<?> expectedClass)

  Description copied from interface: `Notification`
  Returns the numeric ID of the feature relative to the given class, or `Notification.NO_FEATURE_ID` when not applicable.

  Specified by:
    `getFeatureID` in interface `Notification`
  Overrides:
    `getFeatureID` in class `NotificationImpl`
  Parameters:
    `expectedClass` - the class to which the ID is relative.
  Returns:
    the numeric ID of the feature.
  See Also:
    `Notification.NO_FEATURE_ID`

### getFeatureDefaultValue

    protected java.lang.Object getFeatureDefaultValue()

  Overrides:
    `getFeatureDefaultValue` in class `NotificationImpl`

### isFeatureUnsettable

    protected boolean isFeatureUnsettable()

  Overrides:
    `isFeatureUnsettable` in class `NotificationImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.